org.apache.hadoop.yarn.api.records

## Enum SignalContainerCommand

- java.lang.Object
- - java.lang.Enum<SignalContainerCommand>
  - - org.apache.hadoop.yarn.api.records.SignalContainerCommand

- All Implemented Interfaces:
    Serializable, Comparable<SignalContainerCommand>

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public enum SignalContainerCommand
      extends Enum<SignalContainerCommand>

  Enumeration of various signal container commands.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FORCEFUL_SHUTDOWN` Forcefully shutdown a container.
    `GRACEFUL_SHUTDOWN` Gracefully shutdown a container.
    `OUTPUT_THREAD_DUMP` Used to capture thread dump.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SignalContainerCommand` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SignalContainerCommand[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OUTPUT_THREAD_DUMP

          public static final SignalContainerCommand OUTPUT_THREAD_DUMP

      Used to capture thread dump. On Linux, it is equivalent to SIGQUIT.

    - #### GRACEFUL_SHUTDOWN

          public static final SignalContainerCommand GRACEFUL_SHUTDOWN

      Gracefully shutdown a container. On Linux, it is equivalent to SIGTERM.

    - #### FORCEFUL_SHUTDOWN

          public static final SignalContainerCommand FORCEFUL_SHUTDOWN

      Forcefully shutdown a container. On Linux, it is equivalent to SIGKILL.

  - ### Method Detail

    - #### values

          public static SignalContainerCommand[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SignalContainerCommand c : SignalContainerCommand.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SignalContainerCommand valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.